digiKam Developer Documentation: Digikam::DMessageBox Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
Digikam::DMessageBox Class Reference

## Static Public Member Functions
static bool | readMsgBoxShouldBeShown (const QString &dontShowAgainName)
static void | saveMsgBoxShouldBeShown (const QString &dontShowAgainName, bool value)
| Save the fact that the message box should not be shown again.
static int | showContinueCancel (QMessageBox::Icon icon, QWidget *const parent, const QString &caption, const QString &text, const QString &dontAskAgainName=QString())
| Show a message box with Continue and Cancel buttons, and wait user feedback.
static int | showContinueCancelList (QMessageBox::Icon icon, QWidget *const parent, const QString &caption, const QString &text, const QStringList &items, const QString &dontAskAgainName=QString())
| Show List of items to process into a message box with Continue and Cancel buttons, and wait user feedback.
static int | showContinueCancelWidget (QMessageBox::Icon icon, QWidget *const parent, const QString &caption, const QString &text, QWidget *const listWidget, const QString &dontAskAgainName)
| Show widget into a message box with Continue and Cancel buttons, and wait user feedback.
static void | showInformationList (QMessageBox::Icon icon, QWidget *const parent, const QString &caption, const QString &text, const QStringList &items, const QString &dontShowAgainName=QString())
| Show List of items into an informative message box.
static void | showInformationWidget (QMessageBox::Icon icon, QWidget *const parent, const QString &caption, const QString &text, QWidget *const listWidget, const QString &dontShowAgainName)
| Show widget into an informative message box.
static int | showYesNo (QMessageBox::Icon icon, QWidget *const parent, const QString &caption, const QString &text, const QString &dontAskAgainName=QString())
| Show a message box with Yes and No buttons, and wait user feedback.
static int | showYesNoList (QMessageBox::Icon icon, QWidget *const parent, const QString &caption, const QString &text, const QStringList &items, const QString &dontAskAgainName=QString())
| Show List of items to process into a message box with Yes and No buttons, and wait user feedback.
static int | showYesNoWidget (QMessageBox::Icon icon, QWidget *const parent, const QString &caption, const QString &text, QWidget *const listWidget, const QString &dontAskAgainName=QString())
| Show widget into a message box with Yes and No buttons, and wait user feedback.

## Member Function Documentation

## ◆ readMsgBoxShouldBeShown()

bool Digikam::DMessageBox::readMsgBoxShouldBeShown | ( | const QString & | dontShowAgainName | ) |
| static

Returns
  true if the corresponding message box should be shown.

Parameters

  dontShowAgainName | the name that identify the message box. If empty, this method return false.

## ◆ saveMsgBoxShouldBeShown()

void Digikam::DMessageBox::saveMsgBoxShouldBeShown | ( | const QString & | dontShowAgainName,
|  | bool | value
| ) |  |
| static

Parameters

  dontShowAgainName | the name that identify the message box. If empty, this method does nothing.
  value | the value chosen in the message box to show it again next time.

## ◆ showContinueCancel()

int Digikam::DMessageBox::showContinueCancel | ( | QMessageBox::Icon | icon,
|  | QWidget *const | parent,
|  | const QString & | caption,
|  | const QString & | text,
|  | const QString & | dontAskAgainName = `QString()`
| ) |  |
| static

Return QMessageBox::Yes or QMessageBox::Cancel.

## ◆ showContinueCancelList()

int Digikam::DMessageBox::showContinueCancelList | ( | QMessageBox::Icon | icon,
|  | QWidget *const | parent,
|  | const QString & | caption,
|  | const QString & | text,
|  | const QStringList & | items,
|  | const QString & | dontAskAgainName = `QString()`
| ) |  |
| static

Return QMessageBox::Yes or QMessageBox::Cancel.

## ◆ showContinueCancelWidget()

int Digikam::DMessageBox::showContinueCancelWidget | ( | QMessageBox::Icon | icon,
|  | QWidget *const | parent,
|  | const QString & | caption,
|  | const QString & | text,
|  | QWidget *const | listWidget,
|  | const QString & | dontAskAgainName
| ) |  |
| static

Return QMessageBox::Yes or QMessageBox::Cancel.

## ◆ showYesNo()

int Digikam::DMessageBox::showYesNo | ( | QMessageBox::Icon | icon,
|  | QWidget *const | parent,
|  | const QString & | caption,
|  | const QString & | text,
|  | const QString & | dontAskAgainName = `QString()`
| ) |  |
| static

Return QMessageBox::Yes or QMessageBox::No.

## ◆ showYesNoList()

int Digikam::DMessageBox::showYesNoList | ( | QMessageBox::Icon | icon,
|  | QWidget *const | parent,
|  | const QString & | caption,
|  | const QString & | text,
|  | const QStringList & | items,
|  | const QString & | dontAskAgainName = `QString()`
| ) |  |
| static

Return QMessageBox::Yes or QMessageBox::No.

## ◆ showYesNoWidget()

int Digikam::DMessageBox::showYesNoWidget | ( | QMessageBox::Icon | icon,
|  | QWidget *const | parent,
|  | const QString & | caption,
|  | const QString & | text,
|  | QWidget *const | listWidget,
|  | const QString & | dontAskAgainName = `QString()`
| ) |  |
| static

Return QMessageBox::Yes or QMessageBox::No.